<div class="inventory-filters spellbook-configuration">
  <div class="summary">
    {{! Concentration }}
    <div class="info-box spellcasting-concentration rollable" data-drag="concentration" data-tooltip-extended="spellbook.{{bookId}}.concentration">
      <h5><i class="fas fa-dice"></i> {{localize "PF1.Concentration"}}</h5>
      <span class="value">{{numberFormat spellbook.concentration.total sign=true decimals=0}}</span>
    </div>

    {{! Caster Level }}
    <div class="info-box spellcasting-cl rollable" data-drag="cl" data-tooltip-extended="spellbook.{{bookId}}.level">
      <h5><i class="fas fa-dice"></i> {{localize "PF1.CasterLevel"}}</h5>
      <span class="value">{{numberFormat spellbook.cl.total sign=true decimals=0}}</span>
    </div>

    {{! ASF }}
    {{#if @root.asf}}
    {{! TODO: Make sure this book suffers from ASF }}
    <div class="info-box asf" data-tooltip-extended="asf">
      <h5>{{localize "PF1.ArcaneSpellFailureAbbr"}}</h5>
      <span class="value">{{@root.asf.total}}%</span>
    </div>
    {{/if}}

    {{! Spell Ranges }}
    <div class="info-box-joined ranges">
      {{! Close }}
      <div class="info-box range close" data-tooltip-extended="spellbook.{{bookId}}.range.close">
        <h5>{{localize "PF1.Distance.close"}}</h5>
        <span class="value">{{spellbook.range.close}}</span>
      </div>

      {{! Medium }}
      <div class="info-box range medium" data-tooltip-extended="spellbook.{{bookId}}.range.medium">
        <h5>{{localize "PF1.Distance.medium"}}</h5>
        <span class="value">{{spellbook.range.medium}}</span>
      </div>

      {{! Long }}
      <div class="info-box range long" data-tooltip-extended="spellbook.{{bookId}}.range.long">
        <h5>{{localize "PF1.Distance.long"}}</h5>
        <span class="value">{{spellbook.range.long}}</span>
      </div>
    </div>

    <div class="spellcasting-config">
      <a class="hide-show" data-for="spellbook-info_{{bookId}}"><i class="fas fa-cogs"></i></a>
    </div>
  </div>

  <div class="hide spellbook-info_{{bookId}} {{#if (lookup hiddenElems (concat "spellbook-info_" bookId))}}hidden{{/if}}">
    <div class="spellbook-info">
    <h3>{{localize "PF1.Concentration"}}</h3>
    <h3>{{localize "PF1.CasterLevel"}}</h3>
    <div class="form-group spellcasting-bonus-formulas">
      <h3>{{localize "PF1.BonusFormula"}}</h3>
      <div class="form-fields">
        <input class="formula" type="text" name="system.attributes.spells.spellbooks.{{bookId}}.concentrationFormula"
          value="{{spellbook.concentrationFormula}}" placeholder="{{localize "PF1.ConcentrationBonusFormula"}}">
      </div>
    </div>
    <div class="form-group spellcasting-bonus-formulas">
      <h3>{{localize "PF1.BonusFormula"}}</h3>
      <div class="form-fields">
        <input class="formula" type="text" name="system.attributes.spells.spellbooks.{{bookId}}.cl.formula"
          value="{{spellbook.cl.formula}}" placeholder="{{localize "PF1.CasterLevelBonusFormula"}}">
      </div>
    </div>
    {{! Notes }}
    <div class="flexrow spellcasting-notes">
      <textarea name="system.attributes.spells.spellbooks.{{bookId}}.concentrationNotes" placeholder="{{localize "PF1.ConcentrationNotes"}}">{{spellbook.concentrationNotes}}</textarea>
    </div>
    <div class="flexrow spellcasting-notes">
      <textarea name="system.attributes.spells.spellbooks.{{bookId}}.clNotes" placeholder="{{localize "PF1.CasterLevelNotes"}}">{{spellbook.clNotes}}</textarea>
    </div>

    <div class="spell-settings">
        <div class="form-group spellcasting-class" data-tooltip-extended="spellbook.{{bookId}}.class">
          <h3>{{localize "PF1.SpellcastingClass"}}</h3>
          <div class="form-fields">
            <select name="system.attributes.spells.spellbooks.{{bookId}}.class" data-dtype="String">
              <option value="">{{localize "PF1.None"}}</option>
              {{selectOptions @root.classList selected=spellbook.classId}}
            </select>
          </div>
        </div>

        <div class="form-group spellcasting-ability" data-tooltip-extended="spellbook.{{bookId}}.ability">
          <h3>{{localize "PF1.SpellcastingAbility"}}</h3>
          <div class="form-fields">
            <select name="system.attributes.spells.spellbooks.{{bookId}}.ability" data-dtype="String">
              {{selectOptions @root.config.abilities selected=spellbook.ability}}
            </select>
          </div>
        </div>

        <div class="form-group spellcasting-kind">
          <h3>{{localize "PF1.Spellcasting.Type.Label"}}</h3>
          <div class="form-fields">
            <select name="system.attributes.spells.spellbooks.{{bookId}}.kind">
              {{selectOptions @root.config.spellcasting.spells selected=spellbook.kind localize=true blank="PF1.NonApplicable"}}
            </select>
          </div>
        </div>

        <div class="form-group formulas">
          <h3>{{localize "PF1.BaseDCFormula"}}</h3>
          <div class="form-fields">
            <input class="formula" type="text" name="system.attributes.spells.spellbooks.{{bookId}}.baseDCFormula"
              value="{{spellbook.baseDCFormula}}" placeholder="{{localize "PF1.BaseDCFormula"}}">
          </div>
        </div>

        <div class="form-group spell-slot-ability-bonus">
          <h3>{{localize "PF1.SpellSlotAbilityBonus"}}</h3>
          <div class="form-fields">
            <input class="formula" type="text" name="system.attributes.spells.spellbooks.{{bookId}}.spellSlotAbilityBonusFormula"
              value="{{spellbook.spellSlotAbilityBonusFormula}}" placeholder="{{localize "PF1.Formula"}}">
          </div>
        </div>

        <div class="form-group alt-name">
          <h3>{{localize "PF1.SpellbookName"}}</h3>
          <div class="form-fields">
            <input type="text" name="system.attributes.spells.spellbooks.{{bookId}}.name"
              value="{{spellbook.name}}" placeholder="{{spellbook.label}}">
          </div>
        </div>

        <div class="form-group domain-slot-value">
          <h3>{{localize "PF1.DomainSlotValue"}}</h3>
          <div class="form-fields">
            <input type="number" min="0" step="1"
              name="system.attributes.spells.spellbooks.{{bookId}}.domainSlotValue" placeholder="0"
              value="{{spellbook.domainSlotValue}}" data-tooltip="PF1.DomainSlotValueDesc">
          </div>
        </div>

        {{#if spellbook.spellPoints.useSystem}}
        <div class="form-group spell-points">
          <h3>{{localize "PF1.SpellPoints"}}</h3>
          <div class="form-fields">
            <input class="formula" type="text" name="system.attributes.spells.spellbooks.{{bookId}}.spellPoints.maxFormula"
            value="{{spellbook.spellPoints.maxFormula}}" placeholder="{{localize "PF1.MaxFormula"}}" data-tooltip="PF1.MaxFormula">
          </div>
        </div>
        <div class="form-group spell-points-rest">
          <h3>└ {{localize "PF1.RestoredOnRest"}}</h3>
          <div class="form-fields">
            <input class="formula" type="text" name="system.attributes.spells.spellbooks.{{bookId}}.spellPoints.restoreFormula"
              value="{{spellbook.spellPoints.restoreFormula}}" placeholder="{{localize "PF1.SpellPointsMax"}}" data-tooltip="PF1.Formula">
          </div>
        </div>
        {{/if}}

        {{#if spellbook.autoSpellLevelCalculation}}
        <div class="help-text">
        <i class="help-icon fas fa-info-circle"></i> {{localize "PF1.AutoSpellClassLevelOffset.InfoBox"}}
        </div>
        <div class="form-group">
          <h3>{{localize "PF1.AutoSpellClassLevelOffset.Formula"}}</h3>
          <div class="form-fields">
            <input class="formula" type="text" name="system.attributes.spells.spellbooks.{{bookId}}.cl.autoSpellLevelCalculationFormula"
              value="{{spellbook.cl.autoSpellLevelCalculationFormula}}" placeholder="{{localize "PF1.Formula"}}">
          </div>
        </div>
        {{/if}}
    </div>

    <div class="spell-settings">
        <label class="checkbox">
          <input type="checkbox" name="system.attributes.spells.spellbooks.{{bookId}}.arcaneSpellFailure"
            {{checked spellbook.arcaneSpellFailure}}> {{localize "PF1.ArcaneSpellFailure"}}
        </label>
        <div class="flexrow stacked autoslots">
          <label class="checkbox">
            <input type="checkbox" name="system.attributes.spells.spellbooks.{{bookId}}.autoSpellLevelCalculation"
              {{checked spellbook.autoSpellLevelCalculation}}> {{localize "PF1.AutoCalculateSpellSlots"}}
          </label>
          <label class="checkbox" {{#if (not spellbook.autoSpellLevelCalculation)}}data-tooltip="PF1.RequiresAutoSlots"{{/if}}>
            <input type="checkbox" name="system.attributes.spells.spellbooks.{{bookId}}.autoSpellLevels"
              {{disabled (not spellbook.autoSpellLevelCalculation)}}
              {{checked spellbook.autoSpellLevels}}> {{localize "PF1.AutomaticSpellSlots"}}
          </label>
        </div>
        <label class="checkbox">
          <input type="checkbox" name="system.attributes.spells.spellbooks.{{bookId}}.psychic"
           {{checked spellbook.psychic}}> {{localize "PF1.Psychic"}}
        </label>
        <label class="checkbox" {{#if spellbook.autoSpellLevelCalculation}}data-tooltip="PF1.AutoSlotIncompatible"{{/if}}>
          <input type="checkbox" name="system.attributes.spells.spellbooks.{{bookId}}.spellPoints.useSystem"
            {{disabled spellbook.autoSpellLevelCalculation}}
            {{checked spellbook.spellPoints.useSystem}}> {{localize "PF1.UseSpellPoints"}}
        </label>
        <label class="checkbox">
          <input type="checkbox" name="system.attributes.spells.spellbooks.{{bookId}}.hasCantrips"
            {{checked spellbook.hasCantrips}}> {{localize "PF1.HasCantrips"}}
        </label>
        <div class="radios">
          <label class="checkbox">
            <input type="radio" name="system.attributes.spells.spellbooks.{{bookId}}.spellPreparationMode" value="prepared" {{checked (eq spellbook.spellPreparationMode "prepared")}}>
            {{localize "PF1.SpellPrepPrepared"}}
          </label>
          <label class="checkbox">
            <input type="radio" name="system.attributes.spells.spellbooks.{{bookId}}.spellPreparationMode" value="spontaneous" {{checked (eq spellbook.spellPreparationMode "spontaneous")}}>
            {{localize "PF1.SpellPrepSpontaneous"}}
          </label>
          <label class="checkbox">
            <input type="radio" name="system.attributes.spells.spellbooks.{{bookId}}.spellPreparationMode" value="hybrid" {{checked (eq spellbook.spellPreparationMode "hybrid")}}>
            {{localize "PF1.Arcanist"}}
          </label>
          <label class="checkbox">
            <input type="radio" name="system.attributes.spells.spellbooks.{{bookId}}.spellPreparationMode" value="prestige" {{checked (eq spellbook.spellPreparationMode "prestige")}}>
            {{localize "PF1.RedMantisAssassin"}}
          </label>
        </div>
        {{#unless (or (eq spellbook.spellPreparationMode "hybrid") (eq spellbook.spellPreparationMode "prestige"))}}
        <div class="radios">
          <label class="checkbox" data-tooltip="PF1.Spellcasting.Progression.LowHint">
            <input type="radio" name="system.attributes.spells.spellbooks.{{bookId}}.casterType" value="low" {{checked (eq spellbook.casterType "low")}}>
            {{localize "PF1.Low"}}
          </label>
          <label class="checkbox" data-tooltip="PF1.Spellcasting.Progression.MediumHint">
            <input type="radio" name="system.attributes.spells.spellbooks.{{bookId}}.casterType" value="med" {{checked (eq spellbook.casterType "med")}}>
            {{localize "PF1.Medium"}}
          </label>
          <label class="checkbox" data-tooltip="PF1.Spellcasting.Progression.HighHint">
            <input type="radio" name="system.attributes.spells.spellbooks.{{bookId}}.casterType" value="high" {{checked (eq spellbook.casterType "high")}}>
            {{localize "PF1.High"}}
          </label>
        </div>
        {{/unless}}

        {{#if spellbook.autoSpellLevelCalculation}}
        <section class="spell-level-mod-container {{#if (eq spellbook.spellPreparationMode "prepared")}}hide-cpd{{/if}}">
          <h3>{{localize "PF1.Modifications"}}</h3>
          <div class="spell-mod-formulas">
            <h3 class="ppdoffset">
              {{#if (or (eq spellbook.spellPreparationMode "spontaneous") (eq spellbook.spellPreparationMode "prestige"))}}{{localize "PF1.SpellsKnown"}}{{else}}{{localize "PF1.PreparePerDay"}}{{/if}}
            </h3>
            <h3 class="cpdoffset">{{localize "PF1.CastPerDay"}}</h3>
          </div>

          <h3>{{localize "PF1.All"}}</h3>
          <div class="spell-mod-formulas">
            <input class="formula ppdoffset" type="text" name="system.attributes.spells.spellbooks.{{bookId}}.preparedAllOffsetFormula" value="{{spellbook.preparedAllOffsetFormula}}" placeholder="{{localize "PF1.Formula"}}">
            <input class="formula cpdoffset" type="text" name="system.attributes.spells.spellbooks.{{bookId}}.castPerDayAllOffsetFormula" value="{{spellbook.castPerDayAllOffsetFormula}}" placeholder="{{localize "PF1.Formula"}}">
          </div>

          {{#if spellbook.hasCantrips}}
          <h3>{{localize "PF1.SpellLevels.0"}}</h3>
          <div class="spell-mod-formulas">
            <input class="formula ppdoffset" type="text" name="system.attributes.spells.spellbooks.{{bookId}}.spells.spell0.preparedOffsetFormula" value="{{spellbook.spells.spell0.preparedOffsetFormula}}" placeholder="{{localize "PF1.Formula"}}">
            <input class="formula cpdoffset" type="text" name="system.attributes.spells.spellbooks.{{bookId}}.spells.spell0.castPerDayOffsetFormula" value="{{spellbook.spells.spell0.castPerDayOffsetFormula}}" placeholder="{{localize "PF1.Formula"}}">
          </div>
          {{/if}}

          <h3>{{localize "PF1.SpellLevels.1"}}</h3>
          <div class="spell-mod-formulas">
            <input class="formula ppdoffset" type="text" name="system.attributes.spells.spellbooks.{{bookId}}.spells.spell1.preparedOffsetFormula" value="{{spellbook.spells.spell1.preparedOffsetFormula}}" placeholder="{{localize "PF1.Formula"}}">
            <input class="formula cpdoffset" type="text" name="system.attributes.spells.spellbooks.{{bookId}}.spells.spell1.castPerDayOffsetFormula" value="{{spellbook.spells.spell1.castPerDayOffsetFormula}}" placeholder="{{localize "PF1.Formula"}}">
          </div>

          <h3>{{localize "PF1.SpellLevels.2"}}</h3>
          <div class="spell-mod-formulas">
            <input class="formula ppdoffset" type="text" name="system.attributes.spells.spellbooks.{{bookId}}.spells.spell2.preparedOffsetFormula" value="{{spellbook.spells.spell2.preparedOffsetFormula}}" placeholder="{{localize "PF1.Formula"}}">
            <input class="formula cpdoffset" type="text" name="system.attributes.spells.spellbooks.{{bookId}}.spells.spell2.castPerDayOffsetFormula" value="{{spellbook.spells.spell2.castPerDayOffsetFormula}}" placeholder="{{localize "PF1.Formula"}}">
          </div>

          <h3>{{localize "PF1.SpellLevels.3"}}</h3>
          <div class="spell-mod-formulas">
            <input class="formula ppdoffset" type="text" name="system.attributes.spells.spellbooks.{{bookId}}.spells.spell3.preparedOffsetFormula" value="{{spellbook.spells.spell3.preparedOffsetFormula}}" placeholder="{{localize "PF1.Formula"}}">
            <input class="formula cpdoffset" type="text" name="system.attributes.spells.spellbooks.{{bookId}}.spells.spell3.castPerDayOffsetFormula" value="{{spellbook.spells.spell3.castPerDayOffsetFormula}}" placeholder="{{localize "PF1.Formula"}}">
          </div>

          <h3>{{localize "PF1.SpellLevels.4"}}</h3>
          <div class="spell-mod-formulas">
            <input class="formula ppdoffset" type="text" name="system.attributes.spells.spellbooks.{{bookId}}.spells.spell4.preparedOffsetFormula" value="{{spellbook.spells.spell4.preparedOffsetFormula}}" placeholder="{{localize "PF1.Formula"}}">
            <input class="formula cpdoffset" type="text" name="system.attributes.spells.spellbooks.{{bookId}}.spells.spell4.castPerDayOffsetFormula" value="{{spellbook.spells.spell4.castPerDayOffsetFormula}}" placeholder="{{localize "PF1.Formula"}}">
          </div>

          {{#if (or (eq spellbook.casterType "med") (eq spellbook.casterType "high"))}}
          <h3>{{localize "PF1.SpellLevels.5"}}</h3>
          <div class="spell-mod-formulas">
            <input class="formula ppdoffset" type="text" name="system.attributes.spells.spellbooks.{{bookId}}.spells.spell5.preparedOffsetFormula" value="{{spellbook.spells.spell5.preparedOffsetFormula}}" placeholder="{{localize "PF1.Formula"}}">
            <input class="formula cpdoffset" type="text" name="system.attributes.spells.spellbooks.{{bookId}}.spells.spell5.castPerDayOffsetFormula" value="{{spellbook.spells.spell5.castPerDayOffsetFormula}}" placeholder="{{localize "PF1.Formula"}}">
          </div>

          <h3>{{localize "PF1.SpellLevels.6"}}</h3>
          <div class="spell-mod-formulas">
            <input class="formula ppdoffset" type="text" name="system.attributes.spells.spellbooks.{{bookId}}.spells.spell6.preparedOffsetFormula" value="{{spellbook.spells.spell6.preparedOffsetFormula}}" placeholder="{{localize "PF1.Formula"}}">
            <input class="formula cpdoffset" type="text" name="system.attributes.spells.spellbooks.{{bookId}}.spells.spell6.castPerDayOffsetFormula" value="{{spellbook.spells.spell6.castPerDayOffsetFormula}}" placeholder="{{localize "PF1.Formula"}}">
          </div>
          {{/if}}

          {{#if (eq spellbook.casterType "high")}}
          <h3>{{localize "PF1.SpellLevels.7"}}</h3>
          <div class="spell-mod-formulas">
            <input class="formula ppdoffset" type="text" name="system.attributes.spells.spellbooks.{{bookId}}.spells.spell7.preparedOffsetFormula" value="{{spellbook.spells.spell7.preparedOffsetFormula}}" placeholder="{{localize "PF1.Formula"}}">
            <input class="formula cpdoffset" type="text" name="system.attributes.spells.spellbooks.{{bookId}}.spells.spell7.castPerDayOffsetFormula" value="{{spellbook.spells.spell7.castPerDayOffsetFormula}}" placeholder="{{localize "PF1.Formula"}}">
          </div>

          <h3>{{localize "PF1.SpellLevels.8"}}</h3>
          <div class="spell-mod-formulas">
            <input class="formula ppdoffset" type="text" name="system.attributes.spells.spellbooks.{{bookId}}.spells.spell8.preparedOffsetFormula" value="{{spellbook.spells.spell8.preparedOffsetFormula}}" placeholder="{{localize "PF1.Formula"}}">
            <input class="formula cpdoffset" type="text" name="system.attributes.spells.spellbooks.{{bookId}}.spells.spell8.castPerDayOffsetFormula" value="{{spellbook.spells.spell8.castPerDayOffsetFormula}}" placeholder="{{localize "PF1.Formula"}}">
          </div>

          <h3>{{localize "PF1.SpellLevels.9"}}</h3>
          <div class="spell-mod-formulas">
            <input class="formula ppdoffset" type="text" name="system.attributes.spells.spellbooks.{{bookId}}.spells.spell9.preparedOffsetFormula" value="{{spellbook.spells.spell9.preparedOffsetFormula}}" placeholder="{{localize "PF1.Formula"}}">
            <input class="formula cpdoffset" type="text" name="system.attributes.spells.spellbooks.{{bookId}}.spells.spell9.castPerDayOffsetFormula" value="{{spellbook.spells.spell9.castPerDayOffsetFormula}}" placeholder="{{localize "PF1.Formula"}}">
          </div>
          {{/if}}

        </section>
        {{/if}}
      </div>
    </div>
  </div>
</div>

{{!-- Spellbook Navigation --}}
<div class="inventory-filters flexrow">
  {{~> "systems/pf1/templates/internal/item-search.hbs" category=(concat "spells-" bookId)}}

  <ul class="filter-list flexrow" data-category="spellbook-{{bookId}}">
    {{#each spellbook.sections as |section sid|}}
    <li class="filter-item" data-category="spellbook-{{../bookId}}" data-filter="level-{{section.level}}">{{section.label}}</li>
    {{/each}}
  </ul>
</div>

{{#if spellbook.spellPoints.useSystem}}
<div class="spell-points-current" data-tooltip-extended="spellbook.{{bookId}}.spellPoints">
  <h3>{{localize "PF1.SpellPoints"}}</h3>
  <span class="value text-box direct allow-relative" name="system.attributes.spells.spellbooks.{{bookId}}.spellPoints.value"
    data-dtype="Number">{{spellbook.spellPoints.value}}</span>
  <span class="sep"> / </span>
  <span class="max">{{spellbook.spellPoints.max}}</span>
</div>
{{/if}}

<ol class="item-groups-list book-{{bookId}}-body">
  {{#each spellbook.sections as |section sid|}}
  {{#unless section._hidden}}
  <ol class="item-list" data-type="spell" data-level="{{section.level}}" data-preparation-unused="{{section.preparation.unused}}" {{#if ../spellbook.spontaneous}}data-known-unused="{{section.known.unused}}"{{/if}}>
    <li class="flexrow item-list-header spellbook-header {{#if section.lowAbilityScore}}insufficient-ability-score{{/if}}" data-level="{{section.level}}">
      <div class="item-name">
        <h3>{{section.label}}</h3>
      </div>

      {{#unless ../spellbook.spellPoints.useSystem}}
      <div class="item-detail spell-uses">
        {{#if section.usesSlots}}
        {{#unless (and (eq section.level 0) ../spellbook.autoSpellLevelCalculation)}}
        <div class="spell-slots{{#if ../spellbook.spontaneous}} spontaneous{{/if}}"
          data-tooltip="{{#unless ../spellbook.spontaneous}}PF1.LeftToPrepare{{else}}PF1.CastsLeft{{/unless}}">
          <span class="{{#unless ../spellbook.spontaneous}}spell-input-readonly{{else}}text-box{{/unless}}" data-dtype="Number" {{#if ../spellbook.spontaneous}}name="system.attributes.spells.spellbooks.{{../bookId}}.spells.spell{{section.level}}.value"{{/if}}>
            {{section.uses}}
          </span>
        </div>
        <span class="sep"> / </span>
        {{/unless}}
        <div class="spell-max" data-tooltip="PF1.SpellsTotalEachDay">
          <span class="base-slots {{#if ../spellbook.autoSpellLevelCalculation}}spell-input-readonly{{else}}text-box{{/if}}" data-dtype="Number" name="system.attributes.spells.spellbooks.{{../bookId}}.spells.spell{{section.level}}.base">{{section.slots.max}}</span>
          {{#if (gt preparation.domain 0)}}
          <span class="domain-bonus-slots">{{numberFormat preparation.domain sign=true}}</span>
          {{/if}}
        </div>
        {{else}}
        <span class="spell-slots">{{section.uses}}</span>
        <span class="sep"> / </span>
        <span class="spell-max">{{section.slots}}</span>
        {{/if}}
      </div>
      {{/unless}}

      <div class="item-detail item-actions"><i class="icon-pf icon-gears" data-tooltip="PF1.ActionPlural"></i></div>

      <div class="item-detail spell-activation"><i class="icon-pf icon-hand" data-tooltip="PF1.Usage"></i></div>

      <div class="item-detail spell-components"><i class="icon-pf icon-expense" data-tooltip="PF1.Components"></i></div>

      <div class="item-detail spell-school"><i class="icon-pf icon-spell-book" data-tooltip="PF1.SpellSchool"></i></div>

      <div class="item-controls">
        {{#if interface.create}}
        <a class="item-control item-create" data-tooltip="PF1.CreateItem" data-create="{{path}}" data-level="{{section.level}}" data-book="{{../bookId}}">
          <i class="fas fa-plus"></i>
        </a>
        {{/if}}
        <a data-action="compendium" data-action-target="spells" data-tooltip="PF1.OpenCompendium"><i class="fas fa-folder-plus"></i></a>
      </div>
    </li>

    {{#each section.items as |item i|}}
    <li class="item flexrow {{#if item.document.canUse}}prepared{{else}}unprepared{{/if}} {{#if item.domain}}domain{{/if}}" data-item-id="{{item.id}}">
      <div class="item-name rollable">
        <div class="item-image" style='background-image: url("{{item.img}}")' data-tooltip="PF1.DisplayInChat"></div>
        <h4>{{item.name}}</h4>
      </div>

      <div class="item-detail spell-uses flexrow">
        {{#unless item.atWill}}
        {{!-- Domain Marker --}}
        <div>
          {{#if item.domain}}
          <i class="fas fa-hand-sparkles spell-icon domain" data-tooltip="{{localize "PF1.Domain"}}/{{localize "PF1.School"}}"></i>
          {{/if}}
        </div>

        {{#unless ../../spellbook.spontaneous}}
        <div data-tooltip="PF1.Prepared">
          <span class="text-box" data-type="amount" data-dtype="Number">{{item.preparation.value}}</span>
        </div>
        <span class="sep"> / </span>
        <div data-tooltip="PF1.InitiallyPrepared">
          <span class="text-box" data-type="max" data-dtype="Number">{{item.preparation.max}}</span>
        </div>
        {{else}}
        <a class="item-control item-toggle-prepared {{#if item.preparation.value}}enabled{{/if}}" data-name="preparation.value"
          data-tooltip="{{#if item.preparation.value}}PF1.Prepared{{else}}PF1.Unprepared{{/if}}">
          <i class="fas fa-cog spell-icon prepared"></i>
        </a>
        {{/unless}}
        {{else}}
        {{localize "PF1.SpellPrepAtWill"}}
        {{/unless}}
      </div>

      <div class="item-detail item-actions">
        <div class="item-action">
          <a class="item-control item-action action roll"
            data-tooltip="{{localize "PF1.UseSpell"}}
              {{#if labels.range}}<br>{{labels.range}}{{/if}}
              {{#if labels.save}}<br>{{labels.save}}{{/if}}">
            <i class="fa-solid fa-dice-d20"></i>
          </a>
        </div>
      </div>

      <div class="item-detail spell-activation"><span>{{labels.activation}}</span></div>
      <div class="item-detail spell-components" data-tooltip-extended="spell.{{item.id}}.material">
        <span>{{labels.components}}</span>
      </div>

      <div class="item-detail spell-school tooltip" data-tooltip-extended="spell.{{item.id}}.school">
        <span>{{labels.school}}</span>
      </div>

      {{#if @root.owner}}
      <div class="item-controls">
        <a class="item-control item-edit" data-tooltip="PF1.EditItem"><i class="fas fa-edit"></i></a>
        <a class="item-control item-duplicate" data-tooltip="PF1.DuplicateItem"><i class="fas fa-copy"></i></a>
        <a class="item-control item-delete" data-tooltip="PF1.DeleteItem"><i class="fas fa-trash"></i></a>
      </div>
      {{/if}}
    </li>
    {{/each}}

    {{! Spell Level Issues }}
    {{#if hasIssues}}
      <div class="spell-notifications">
      {{#if lowLevel}}
        <div class="notification-box warning">
          <h5>{{localize "PF1.Spellbook.InsufficientLevel"}}</h5>
        </div>
      {{/if}}
      {{#if lowAbilityScore}}
        <div class="notification-box warning">
          <h5>{{localize "PF1.Spellbook.InsufficientAbility"}}</h5>
          <span class="value">{{lookup (lookup @root.system.abilities ../spellbook.ability) 'total'}}</span>
          <span class="label">{{lookup @root.config.abilitiesShort ../spellbook.ability}}</span>
        </div>
      {{/if}}
      {{#if spontaneous}}
        {{#if invalidKnown}}
          <div class="notification-box{{#if (gt known.excess 0)}} warning{{/if}}">
            <h5>{{localize "PF1.Spellbook.Known"}}</h5>
            <span class="value">{{numberFormat mismatchKnown sign=true}}</span>
          </div>
        {{/if}}
      {{else}}
        {{! Slot Issues }}
        {{#if invalidSlots}}
          <div class="notification-box{{#if (lt mismatchSlots 0)}} warning{{/if}}">
            <h5>{{localize "PF1.Spellbook.OpenSlots"}}</h5>
            <span class="value">
              {{numberFormat mismatchSlots sign=true}}
            </span>
          </div>
        {{/if}}
        {{! Available Domain slots }}
        {{#if (gt domain.remaining 0)}}
          <div class="notification-box">
            <h5>{{localize "PF1.Spellbook.OpenSlots"}}</h5>
            <span class="value">{{numberFormat domain.remaining sign=true}}</span>
            <span class="label">
              {{#if isSchool}}
              {{localize 'PF1.School'}}
              {{else}}
              {{localize 'PF1.Domain'}}
              {{/if}}
            </span>
          </div>
        {{/if}}
      {{/if}}
      </div>
    {{/if}}
  </ol>
  {{/unless}}
  {{/each}}
</ol>
